package guanlixitong

import "shylinux.com/x/ice"

type interview struct {
	Table
	fields string `data:"title,content,address,begin_time,end_time,user_uid"`
	create string `name:"create title* content* address* begin_time*@date end_time*@date" role:"leader"`
	remove string `name:"remove" role:"leader"`
	start  string `name:"start" role:"leader"`
	stop   string `name:"stop" role:"leader"`
}

func (s interview) List(m *ice.Message, arg ...string) {
	s.ValueList(m, arg).Table(func(value ice.Maps) {
		m.PushButton(s.Start)
	})
}
func (s interview) Start(m *ice.Message, arg ...string) {}
func (s interview) Stop(m *ice.Message, arg ...string)  {}

func init() { ice.TeamCtxCmd(interview{}) }
